VisualEditor: Using up-arrow to scroll lets you put the cursor under the toolbar in Firefox, Internet Explorer
OpenPublic

Description

Go to some long article (so long that it won't fit on one screen in your browser), start the visual editor, scroll down, then use up-arrow to walk all the way back up to the top of the article. It's not possible: the first lines of the article remain obscured by the visual editor's menu bar; the only way to make them visible is using the scroll bar or with PageUp.

This is Windows 7, Firefox 16.0.2, Chrome 26.0.1410.64 m, Mediawiki 1.22wmf4 (646544a), VisualEditor 0.1.0


Version: unspecified
Severity: normal

bzimport set Reference to bz48787.
AxelBoldt created this task.Via LegacyMay 24 2013, 3:49 PM
Jdforrester-WMF added a comment.Via ConduitJun 13 2013, 11:46 PM

(In reply to comment #0)

Go to some long article (so long that it won't fit on one screen in your
browser), start the visual editor, scroll down, then use up-arrow to walk all
the way back up to the top of the article. It's not possible: the first lines
of the article remain obscured by the visual editor's menu bar; the only way
to make them visible is using the scroll bar or with PageUp.

I can't reproduce this as written (for wmf6 or wmf7 on Mac or Linux, don't have Windows to test on). We did change the behaviour of the toolbar a little in wmf5, which may explain.

However, it /is/ possible using the cursor keys to put the cursor underneath the toolbar when scrolled down so that the user can't see where it is. Will change this bug to reflect that, but feel free to revert if you can reproduce.

gerritbot added a comment.Via ConduitJul 10 2013, 7:35 PM

Change 73015 had a related patch set uploaded by Robmoen:
Bind listener to keyup to capture arrows & better math for scrolling.

https://gerrit.wikimedia.org/r/73015

gerritbot added a comment.Via ConduitJul 10 2013, 9:23 PM

Change 73015 merged by jenkins-bot:
Bind listener to keyup to capture arrows & better math for scrolling.

https://gerrit.wikimedia.org/r/73015

Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 9:24 PM

This is now merged and will go out later today.

AxelBoldt added a comment.Via ConduitJul 12 2013, 1:49 PM

I am now seeing the following behavior on mediawiki.org, using both Firefox and Chrome:

Editing a long article with the VisualEditor, scrolling down, and then pressing and holding CursorUp will scroll back to the top, but not quite: the very first line of the article remains obscured by the toolbar. I have to release and repress CursorUp to see that line.

Jdforrester-WMF added a comment.Via ConduitDec 3 2013, 2:28 AM

I believe that this was fixed some time ago as part of the toolbar fixes - please re-open if not.

AxelBoldt added a comment.Via ConduitMar 15 2014, 8:04 PM

Go to some long article, scroll all the way down, click to make the blinking cursor visible. Now press and hold the cursor-up key to go all the way back to the top. Upon release of the cursor-up key, the cursor will be invisibly placed behind the toolbar. Another press/release of the cursor-up key is necessary to make it visible again.

Jdforrester-WMF added a comment.Via ConduitJul 1 2014, 12:49 AM

Apparently IE is affected too (see bug 63778).

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:19 PM

Add Comment